Vous êtes nouveau sur Developpez.com ? Créez votre compte ou connectez-vous afin de pouvoir participer !

Vous devez avoir un compte Developpez.com et être connecté pour pouvoir participer aux discussions.

Vous n'avez pas encore de compte Developpez.com ? Créez-en un en quelques instants, c'est entièrement gratuit !

Si vous disposez déjà d'un compte et qu'il est bien activé, connectez-vous à l'aide du formulaire ci-dessous.

Identifiez-vous
Identifiant
Mot de passe
Mot de passe oublié ?
Créer un compte

L'inscription est gratuite et ne vous prendra que quelques instants !

Je m'inscris !

Phaser
Le framework HTML 5 pour la 2D passe en version 2.4

Le , par yahiko

5PARTAGES

3  0 
Phaser en version 2.4



Phaser, le framework JavaScript HTML5 vient d'atteindre sa version 2.4 comportant son lots de corrections de bugs, d'améliorations et de nouveautés. La liste serait assez longue pour être détaillée ici. Mentionnons seulement les aspects suivants :

  • Phaser abandonne progressivement l'utilisation du framework PIXI qui est packagé avec Phaser. De nombreuses primitives graphiques (comme la classe TillingSprite ou l'affichage du texte) qui auparavant été héritées de PIXI sont désormais réécrites directement dans Phaser permettant ainsi un meilleur contrôle du développeur sur celles-ci et une meilleure intégration à l'ensemble du projet.
  • Une meilleure prise en charge de TypeScript avec des fichiers de définition corrigés et enrichis.
  • Des méthodes qui avaient été dépréciées avec la version 2.2 viennent d'être définitivement retirées du framework.


source : Dépôt GitHub officiel

Télécharger le framework Phaser 2.4
Télécharger le framework Phaser 2.4 minimisé

Utilisez-vous déjà Phaser ?
Avez-vous noté des changements qui vous intéressent particulièrement ?

Une erreur dans cette actualité ? Signalez-le nous !